#include "cabeza01.inc"
#include "cabello.inc"

//la textura de la piel

#declare pielmohan = texture {pigment {rgb <.65,.4,.2>} normal {granite .035 scale .005} finish {phong .16}}

//la cabeza del mohan

#declare cabezamohan = union {object {melena01 translate <0,3.3,0>} object {cabezabase01 texture {pielmohan}} object {barba01}}

//el tronco del mohan

#declare troncomohan = union { 
difference {cylinder { <0,0,0>,<0,1,0>, 1.0 scale <1.8,1.5,0.9>} 
sphere { <0.0,0.0,0.0>,1.0 scale <.1,.2,.5> translate <0,0.65,-1>}}
cone { <0,1.5,0>,  0.6, <0,4,0>, 0.75 scale <3,1,1.5>}
difference { sphere { <0,4,0>,1.0 scale <2.5,1,1.125>} box { <-0.5,0,-0.5> <0.5,1,0.5> scale <3,4,8> translate <0,0,0>}}
sphere { <0,0,0>,1.0 scale <1.2,2.0,.45> rotate <-5,0,0> translate <0,2.1,-0.65>}
sphere { <0,0,0>,1.0 scale <1.3,.9,.7> rotate <-5,0,0> translate <0.7,3.45,-0.5>}
sphere { <0,0,0>,1.0 scale <1.3,.9,.7> rotate <-5,0,0> translate <-0.7,3.45,-0.5>}
sphere { <0,0,0>,1.0 scale <.2,.2,.1> rotate <5,0,0> translate <1.4,3.15,-1> pigment {rgb <.3,.2,.1>}}
sphere { <0,0,0>,1.0 scale <.2,.2,.1> rotate <5,0,0> translate <-1.4,3.15,-1> pigment {rgb <.3,.2,.1>}}
texture {pielmohan}}

//los brazos del mohan

#declare brazobase01 = union { union {
sphere { <0,0,0>,1 scale <0.7,1,0.7> } cone { <0,0,0>,  0.7, <0,-2.8,0>, 0.55} sphere { <0,-2.8,0>,0.55 }
sphere { <0,0,0>,1 scale <.5,1.8,.5> translate <0,-1.1,-0.3> }}
union {cone { <0,0,0>,  0.55, <0,-2.8,0>, 0.3}  sphere { <0,-2.8,0>,.3}
sphere { <0,0,0>,1 scale <.4,1.5,.3> translate <0,-1.3,-0.15> } 
rotate <90,0,0> translate <0,-2.8,0>}
texture {pielmohan}}

#declare brazo01mohan = object {brazobase01 rotate <-10,10,-25>}

#declare brazo02mohan = object {brazobase01 rotate <-10,-10,25>}

//las piernas del mohan

#declare piernabase01 = union { union {
sphere { <0,0,0>,1 scale <1.2,1.2,1.2> } cone { <0,0,0>, 1.2, <0,-5,0>, 0.7} sphere { <0,-5,0>, 0.7 }
sphere { <0,0,0>,1 scale <.8,2.2,.5> translate <0,-2.5,-0.5> }}
union {cone { <0,0,0>,  0.7, <0,-5,0>, 0.4}  sphere { <0,0,0>, 1 scale <.4,1,.4> translate <0,-5,0> }
sphere { <0,0,0>,1 scale <.45,1.8,.6> translate <0,-2.4,0.3> } 
rotate <-82,0,0>
translate <0,-5,0>}
texture {pielmohan}}

#declare pierna01mohan = object {piernabase01 rotate <90,12,0>}

#declare pierna02mohan = object {piernabase01 rotate <90,-12,0>}

//las manos del mohan

#declare dedo01 = union {union {
sphere { <0,0,0>,1 scale 0.085 } cone { <0,0,0>,  0.085, <0,-0.275,0>, 0.075} sphere { <0,-0.275,0>,0.075 }}
union {union {cone { <0,0,0>,  0.075, <0,-0.275,0>, 0.065}  sphere { <0,-0.275,0>,0.065 }  }
union {cone { <0,0,0>,  0.065, <0,-0.225,0>, 0.06}  sphere { <0,-0.225,0>,0.06 } rotate <20,0,0> translate <0,-0.275,0>}
rotate <80,0,0> translate <0,-0.275,0>}}

#declare dedo02 = union {union {
sphere { <0,0,0>,1 scale 0.095 } cone { <0,0,0>,  0.095, <0,-0.275,0>, 0.085} sphere { <0,-0.275,0>,0.085 }}
union {union {cone { <0,0,0>,  0.085, <0,-0.275,0>, 0.08}  sphere { <0,-0.275,0>,0.08 } }
rotate <80,0,0> translate <0,-0.275,0>}}

#declare manobase = union { sphere { <0.0,0.0,0.0>,1.0 scale <.4,.2,.5> translate <0,0,-.25>}
object {dedo01 rotate <-80,190,0> translate <-.3,0,-0.55>}
object {dedo01 rotate <-80,180,0> translate <-.1,0,-0.65>}
object {dedo01 rotate <-80,170,0> translate <.1,0,-0.65>}
object {dedo01 rotate <-80,160,0> translate <.3,0,-0.55>}} 

#declare mano01 = union {object {manobase}
object {dedo02 rotate <-90,250,0> translate <-.35,0,-0.2>}
texture {pielmohan}}

#declare mano02 = union {object {manobase}
object {dedo02 rotate <-90,70,0> translate <.35,0,-0.2>}
texture {pielmohan}}

//el taparrabo

#declare caderamohan = union { union {cone { <0,-0.5,0>,  0.6, <0,-1,0>, 0.75 scale <3,1,1.5>}
cone { <0,-1,0>,  0.75, <0,-3,0>, 1 scale <3,1,1.5>} sphere { <0,-1.5,-1>,1.0 scale <.8,1.125,.75>}
cylinder { <0,0,0>,<0,2,0>, 1.12 open rotate <-90,12,0> translate <-1.3,-1.9,-0.9>}
cylinder { <0,0,0>,<0,2,0>, 1.12 open rotate <-90,-12,0> translate <1.3,-1.9,-0.9>}
pigment {bozo color_map { [0.0 rgb <.35,.26,.12>][0.5 rgb <.3,.2,.06>]} scale <.5,5,0.5>}
normal {crackle 2 scale <0.25,15,0.25>}} 
cylinder { <0,-0.5,0>,<0,0,0>,1.0 scale <1.9,1,1> 
pigment {rgb <.52,.42,.2>} normal { crackle 1 scale <1,0.125,1>} finish {metallic reflection .075}}}

//los pies del mohan

#declare patamohan01 = union {union {sphere { <0.0,0.0,0.0>,1.0 scale 0.5 translate <0,0,-2.35>} 
sphere { <0.0,0.0,0.0>,1.0 scale 0.3 translate <0,0,-0.15> }
cone { <0,0,0>,  0.5, <0,2.2,0>, 0.3 rotate <90,0,0> translate <0,0,-2.35>} scale <1,0.5,1> texture {pielmohan}}
union {sphere { <0.0,0.0,0.0>,1.0 scale <0.15,.15,.3> translate <-0.35,0,-2.7> }
sphere { <0.0,0.0,0.0>,1.0 scale <0.1,.1,.25> translate <-0.15,0,-2.8> }
sphere { <0.0,0.0,0.0>,1.0 scale <0.1,.1,.25> translate <0,0,-2.8> }
sphere { <0.0,0.0,0.0>,1.0 scale <0.1,.1,.25> translate <0.175,0,-2.8> }
sphere { <0.0,0.0,0.0>,1.0 scale <0.08,.08,.25> translate <0.325,0,-2.7> }texture {pielmohan}}
translate <0,0.25,0>}

#declare patamohan02 = object {patamohan01 rotate <0,0,180> translate <0,.5,0>}

//las sandalias

#declare sandalia1 = union {union { sphere { <0.0,0.0,0.0>,1.0 scale 0.5 translate <0,0,-2.35>} 
sphere { <0.0,0.0,0.0>,1.0 scale 0.3 translate <0,0,-0.15> }
cone { <0,0,0>,  0.5, <0,2.2,0>, 0.3 rotate <90,0,0> translate <0,0,-2.35>} scale <1.2,0.25,1.1> translate <0,0.125,0>}
cylinder { <0,-0.5,0>,<0,0,0>,1.0 scale <0.525,1.5,0.32> rotate <-90,0,0> translate <0,0.225,-2.75>}
pigment {rgb <.4,.34,.2>} normal { crackle 1 scale <0.2,0.125,2>}}

//el mohan es:

#declare mohan01 = union {
object {cabezamohan rotate <-8,20,0> translate <0,5.5,-0.3>}
object {brazo01mohan translate <-2.1,4.45,0.125>}
object {mano02 scale 1.2 rotate <0,22,0> translate <-3.8,1.7,-2.5>}
object {brazo02mohan translate <2.1,4.45,0.125>}
object {mano01 scale 1.2 rotate <0,-22,0> translate <3.8,1.7,-2.5>}
object {troncomohan translate <0,1,0>}
object {caderamohan translate <0,1,0>}
object {pierna01mohan translate <-1.15,-1,0>}
object {pierna02mohan translate <1.15,-1,0>}
object {patamohan01 scale <1.5,1.5,0.8> rotate <-1,-10,0> translate <2.325,-6.8,-5>}
object {patamohan02 scale <1.5,1.5,0.8> rotate <-1,10,0> translate <-2.325,-6.8,-5>}
object {sandalia1 scale <1.5,1.5,0.8> rotate <0,-10,0> translate <2.325,-6.8,-5>}
object {sandalia1 scale <1.5,1.5,0.8> rotate <0,10,0> translate <-2.325,-6.8,-5>}
translate <0,6.8,0>}
